<?php

namespace Lean\Console\Controller;

use League\Route\Router;
use Picea\{FileFetcher, Picea, Caching\Opcache, Extension\UrlExtension, Ui\Method\FormHandler};
use Lean\File;
use Psr\Http\Message\{ ResponseInterface, ServerRequestInterface };
use Lean\Console\{ Form, Lib };
use Notes\Tell\Attribute\Language, Notes\Route\Attribute\Method\Route;

class Debugging extends Console {
    use Lib\ConsoleControllerTrait;

    #[Route(route: "/debugging/logs", name: "lean.console:debugging-logs")]
    public function logs(ServerRequestInterface $request, array $arguments) : ResponseInterface
    {
        $list = [];

        new FormHandler($request, new Form\Debugging\Logs(), $this->pushContext(new Lib\FormContext($request, "debugging.logs")));

        $path = getenv('LOGS_PATH');

        $files = array_map(fn($e) => basename($e), glob("$path/*"));

        $default = basename(ini_get('error_log'));

        $open = end($files);

        $content = File::tail($path . DIRECTORY_SEPARATOR . $open, 100);

        return $this->renderView("lean-console/page/debugging/logs", get_defined_vars());
    }
}