<?php

namespace Lean\Console\Lib;

use Psr\Container\ContainerInterface;

use Storage\Session;

use Notes\Tell\Attribute\Language,
    Notes\Route\Attribute\Object\Route;

use Notes\Security\Attribute\{ Security, Taxus };

use Picea;

#[Security(locked: false)]
#[Taxus("dev")]
#[\Notes\Route\Attribute\Object\Route(method: [ 'GET', 'POST' ] , base: "/~")]
trait ConsoleControllerTrait
{
    use \Lean\ControllerTrait;

    protected ContainerInterface $container;

    public function __construct(? Picea\Picea $picea, Session $session, ContainerInterface $container) {
        $this->picea = $picea;
        $this->session = $session;
        $this->container = $container;
    }

    public function version() : string
    {
        return "0.4.1";
    }
}
